Loading...
Searching...
No Matches
ojph::local::cod_SPcod Struct Reference

`#include <ojph_params_local.h>`

## Public Member Functions

| cod_SPcod ()
size | get_log_block_dims () const
size | get_block_dims () const
size | get_log_precinct_size (ui32 res_num) const

## Public Attributes

ui8 | num_decomp
ui8 | block_width
ui8 | block_height
ui8 | block_style
ui8 | wavelet_trans
ui8 | precinct_size [33]

## Detailed Description

Definition at line 330 of file ojph_params_local.h.

## Constructor & Destructor Documentation

## cod_SPcod()

ojph::local::cod_SPcod::cod_SPcod | ( |  | ) |

inline

Definition at line 332 of file ojph_params_local.h.

References block_height, block_style, block_width, num_decomp, precinct_size, and wavelet_trans.

## Member Function Documentation

## get_block_dims()

size ojph::local::cod_SPcod::get_block_dims | ( |  | ) | const

inline

Definition at line 350 of file ojph_params_local.h.

References get_log_block_dims(), ojph::size::h, and ojph::size::w.

## get_log_block_dims()

size ojph::local::cod_SPcod::get_log_block_dims | ( |  | ) | const

inline

Definition at line 348 of file ojph_params_local.h.

References block_height, and block_width.

Referenced by get_block_dims().

## get_log_precinct_size()

size ojph::local::cod_SPcod::get_log_precinct_size | ( | ui32 | res_num | ) | const

inline

Definition at line 352 of file ojph_params_local.h.

References num_decomp, and precinct_size.

## Member Data Documentation

## block_height

ui8 ojph::local::cod_SPcod::block_height

Definition at line 343 of file ojph_params_local.h.

Referenced by cod_SPcod(), and get_log_block_dims().

## block_style

ui8 ojph::local::cod_SPcod::block_style

Definition at line 344 of file ojph_params_local.h.

Referenced by cod_SPcod().

## block_width

ui8 ojph::local::cod_SPcod::block_width

Definition at line 342 of file ojph_params_local.h.

Referenced by cod_SPcod(), and get_log_block_dims().

## num_decomp

ui8 ojph::local::cod_SPcod::num_decomp

Definition at line 341 of file ojph_params_local.h.

Referenced by cod_SPcod(), and get_log_precinct_size().

## precinct_size

ui8 ojph::local::cod_SPcod::precinct_size[33]

Definition at line 346 of file ojph_params_local.h.

Referenced by cod_SPcod(), and get_log_precinct_size().

## wavelet_trans

ui8 ojph::local::cod_SPcod::wavelet_trans

Definition at line 345 of file ojph_params_local.h.

Referenced by cod_SPcod(), and ojph::local::param_cod::update_atk().

The documentation for this struct was generated from the following file:

- /build/openjph-ErJ8t3/openjph-0.26.0/src/core/codestream/ojph_params_local.h